Index: branches/XPressME_MU/extras/xpress_i18n/german/xpressme_modules_root/wp-content/plugins/xpressme/language/xpressme-de_DE.po
===================================================================
--- trunk/extras/xpress_i18n/german/xpressme_modules_root/wp-content/plugins/xpressme/language/xpressme-de_DE.po	(revision 380)
+++ branches/XPressME_MU/extras/xpress_i18n/german/xpressme_modules_root/wp-content/plugins/xpressme/language/xpressme-de_DE.po	(revision 406)
@@ -3,5 +3,5 @@
 "Project-Id-Version: \n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-09-09 14:10+0900\n"
+"POT-Creation-Date: 2009-10-06 21:59+0900\n"
 "PO-Revision-Date: \n"
 "Last-Translator: toemon <info@toemon.com>\n"
@@ -31,7 +31,6 @@
 
 #: xpressme.php:38
-#, fuzzy
 msgid "to Modules Admin"
-msgstr "zu XOOPS Admin"
+msgstr "to Modules Admin"
 
 #: xpressme.php:138
@@ -48,8 +47,8 @@
 #: xpressme.php:246
 #: xpressme.php:252
-#: xpressme_class.php:277
-#: xpressme_class.php:293
-#: xpressme_class.php:425
-#: xpressme_class.php:436
+#: xpressme_class.php:283
+#: xpressme_class.php:299
+#: xpressme_class.php:431
+#: xpressme_class.php:442
 msgid "YES"
 msgstr "JA"
@@ -60,8 +59,8 @@
 #: xpressme.php:247
 #: xpressme.php:253
-#: xpressme_class.php:278
-#: xpressme_class.php:294
-#: xpressme_class.php:426
-#: xpressme_class.php:437
+#: xpressme_class.php:284
+#: xpressme_class.php:300
+#: xpressme_class.php:432
+#: xpressme_class.php:443
 msgid "NO"
 msgstr "NEIN"
@@ -71,5 +70,5 @@
 #: xpressme.php:258
 msgid "Update Config"
-msgstr ""
+msgstr "Update Config"
 
 #: xpressme.php:156
@@ -77,375 +76,380 @@
 #: xpressme.php:259
 msgid "Preset Config"
-msgstr ""
+msgstr "Preset Config"
 
 #: xpressme.php:188
 msgid "XPressME Integration Setting"
-msgstr ""
+msgstr "XPressME Integration Setting"
 
 #: xpressme.php:193
 msgid "Media Upload Base Path"
-msgstr ""
+msgstr "Media Upload Base Path"
 
 #: xpressme.php:194
 msgid "Use XOOPS UPLOAD PATH"
-msgstr ""
+msgstr "Use XOOPS UPLOAD PATH"
 
 #: xpressme.php:195
 msgid "USE WordPress BASE_PATH"
-msgstr ""
+msgstr "USE WordPress BASE_PATH"
 
 #: xpressme.php:229
 msgid "XPressME Other Setting"
-msgstr ""
+msgstr "XPressME Other Setting"
 
 #: xpressme.php:234
 msgid "The change tracking of the post is preserved"
-msgstr ""
+msgstr "The change tracking of the post is preserved"
 
 #: xpressme.php:240
 msgid "Select Multi user mode"
-msgstr ""
+msgstr "Select Multi user mode"
 
 #: xpressme.php:245
 msgid "Is the posts author views counted?"
-msgstr ""
+msgstr "Is the posts author views counted?"
 
 #: xpressme.php:251
 msgid "Is SQL debugging window displayed?"
-msgstr ""
+msgstr "Is SQL debugging window displayed?"
 
 #: xpressme.php:275
 msgid "XPressME Upgrade"
-msgstr ""
+msgstr "XPressME Upgrade"
 
 #: xpressme.php:289
 #, php-format
 msgid "You are using a XPressME Integration Kit development version (%1$s). Cool! Please <a href=\"%2$s\">stay updated</a>."
-msgstr ""
+msgstr "You are using a XPressME Integration Kit development version (%1$s). Cool! Please <a href=\"%2$s\">stay updated</a>."
 
 #: xpressme.php:293
 msgid "There is a new version of XPressME Integration Kit available for upgrade"
-msgstr ""
+msgstr "There is a new version of XPressME Integration Kit available for upgrade"
 
 #: xpressme.php:296
 #, php-format
 msgid "You can upgrade to version %s download the package and install it manually:"
-msgstr ""
+msgstr "You can upgrade to version %s download the package and install it manually:"
 
 #: xpressme.php:299
 #, php-format
 msgid "Download %s"
-msgstr ""
+msgstr "Download %s"
 
 #: xpressme.php:302
 msgid "You have the latest version of XPressME Integration Kit. You do not need to upgrade"
-msgstr ""
+msgstr "You have the latest version of XPressME Integration Kit. You do not need to upgrade"
 
 #: xpressme.php:306
 #, php-format
 msgid "There is no response from <a href=\"%s\">version check API</a> now. sorry, please confirm it after."
-msgstr ""
+msgstr "There is no response from <a href=\"%s\">version check API</a> now. sorry, please confirm it after."
 
 #: xpressme.php:425
 #, php-format
 msgid "XPressME Integration Kit Version %1$s is available! <a href=\"%2$s\">Please update now</a>."
-msgstr ""
+msgstr "XPressME Integration Kit Version %1$s is available! <a href=\"%2$s\">Please update now</a>."
 
 #: xpressme.php:427
 #, php-format
 msgid "XPressME Integration Kit Version %1$s is available! Please notify the site administrator."
-msgstr ""
-
-#: xpressme_class.php:54
-#: xpressme_class.php:229
-msgid "Older Post"
-msgstr ""
+msgstr "XPressME Integration Kit Version %1$s is available! Please notify the site administrator."
 
 #: xpressme_class.php:55
 #: xpressme_class.php:232
+msgid "Older Post"
+msgstr "Older Post"
+
+#: xpressme_class.php:56
+#: xpressme_class.php:235
 msgid "Newer Post"
-msgstr ""
-
-#: xpressme_class.php:57
-#: xpressme_class.php:235
-msgid "Older Entries"
-msgstr ""
+msgstr "Newer Post"
 
 #: xpressme_class.php:58
 #: xpressme_class.php:238
+msgid "Older Entries"
+msgstr "Older Entries"
+
+#: xpressme_class.php:59
+#: xpressme_class.php:241
 msgid "Newer Entries"
-msgstr ""
-
-#: xpressme_class.php:72
+msgstr "Newer Entries"
+
 #: xpressme_class.php:73
-#: xpressme_class.php:241
+#: xpressme_class.php:74
+#: xpressme_class.php:244
 msgid "Read the rest of this entry &raquo;"
-msgstr ""
-
-#: xpressme_class.php:336
+msgstr "Read the rest of this entry &raquo;"
+
+#: xpressme_class.php:342
 msgid "Single Post Navi Setting"
-msgstr ""
-
-#: xpressme_class.php:341
-#: xpressme_class.php:386
+msgstr "Single Post Navi Setting"
+
+#: xpressme_class.php:347
+#: xpressme_class.php:392
 msgid "Adjustment of Navi link display position"
-msgstr ""
-
-#: xpressme_class.php:344
+msgstr "Adjustment of Navi link display position"
+
+#: xpressme_class.php:350
 msgid "'Old Post Link' is displayed in the left, and 'Newer Post Link' is displayed in the right"
-msgstr ""
-
-#: xpressme_class.php:345
+msgstr "'Old Post Link' is displayed in the left, and 'Newer Post Link' is displayed in the right"
+
+#: xpressme_class.php:351
 msgid "'Newer Post Link' is displayed in the left, and 'Old Post Link' is displayed in the right"
-msgstr ""
-
-#: xpressme_class.php:351
+msgstr "'Newer Post Link' is displayed in the left, and 'Old Post Link' is displayed in the right"
+
+#: xpressme_class.php:357
 msgid "Select Display name of PostNavi Link"
-msgstr ""
-
-#: xpressme_class.php:354
+msgstr "Select Display name of PostNavi Link"
+
+#: xpressme_class.php:360
 msgid "Title of post"
-msgstr ""
-
-#: xpressme_class.php:355
+msgstr "Title of post"
+
+#: xpressme_class.php:361
 msgid "Title of Navi"
-msgstr ""
-
-#: xpressme_class.php:361
+msgstr "Title of Navi"
+
+#: xpressme_class.php:367
 msgid "Display Navi Title of Old Post Link"
-msgstr ""
-
-#: xpressme_class.php:368
+msgstr "Display Navi Title of Old Post Link"
+
+#: xpressme_class.php:374
 msgid "Display Navi Title of Newer Post Link"
-msgstr ""
-
-#: xpressme_class.php:381
+msgstr "Display Navi Title of Newer Post Link"
+
+#: xpressme_class.php:387
 msgid "Posts List Page Navi Setting"
-msgstr ""
-
-#: xpressme_class.php:389
+msgstr "Posts List Page Navi Setting"
+
+#: xpressme_class.php:395
 msgid "'Old Page Link' is displayed in the left, and 'Newer Page Link' is displayed in the right"
-msgstr ""
-
-#: xpressme_class.php:390
+msgstr "'Old Page Link' is displayed in the left, and 'Newer Page Link' is displayed in the right"
+
+#: xpressme_class.php:396
 msgid "'Newer Page Link' is displayed in the left, and 'Old Page Link' is displayed in the right"
-msgstr ""
-
-#: xpressme_class.php:396
+msgstr "'Newer Page Link' is displayed in the left, and 'Old Page Link' is displayed in the right"
+
+#: xpressme_class.php:402
 msgid "Display Navi Title of Old Page Link"
-msgstr ""
-
-#: xpressme_class.php:403
+msgstr "Display Navi Title of Old Page Link"
+
+#: xpressme_class.php:409
 msgid "Display Navi Title of Newer Page Link"
-msgstr ""
-
-#: xpressme_class.php:416
-#, fuzzy
+msgstr "Display Navi Title of Newer Page Link"
+
+#: xpressme_class.php:422
 msgid "Dashboard feed Display Setting"
-msgstr "XPressME Display Setting"
-
-#: xpressme_class.php:422
-#, fuzzy
+msgstr "Dashboard feed Display Setting"
+
+#: xpressme_class.php:428
 msgid "Display XPressMe Integration Kit Blog"
-msgstr "XPressME Configuration Page"
-
-#: xpressme_class.php:433
-#, fuzzy
+msgstr "Display XPressMe Integration Kit Blog"
+
+#: xpressme_class.php:439
 msgid "Display XPressMe Integration Kit Forum"
-msgstr "XPressME Configuration Page"
-
-#: xpressme_class.php:450
+msgstr "Display XPressMe Integration Kit Forum"
+
+#: xpressme_class.php:456
 msgid "Role Setting at Login"
-msgstr ""
-
-#: xpressme_class.php:453
+msgstr "Role Setting at Login"
+
+#: xpressme_class.php:459
 msgid "XOOPS Groupe"
-msgstr ""
-
-#: xpressme_class.php:453
+msgstr "XOOPS Groupe"
+
+#: xpressme_class.php:459
 msgid "WordPress Role"
-msgstr ""
-
-#: xpressme_class.php:453
+msgstr "WordPress Role"
+
+#: xpressme_class.php:459
 msgid "Role is set at each login"
-msgstr ""
-
-#: xpressme_class.php:479
-#: xpressme_class.php:483
+msgstr "Role is set at each login"
+
+#: xpressme_class.php:485
+#: xpressme_class.php:489
+#: xpressme_class.php:492
+msgid "Default Role of WordPress"
+msgstr "Default Role of WordPress"
+
 #: xpressme_class.php:486
-msgid "Default Role of WordPress"
-msgstr ""
-
-#: xpressme_class.php:480
-#: xpressme_class.php:484
-#: xpressme_class.php:487
+#: xpressme_class.php:490
+#: xpressme_class.php:493
 msgid "Group User Doesn't Register"
-msgstr ""
-
-#: xpressme_class.php:518
+msgstr "Group User Doesn't Register"
+
+#: xpressme_class.php:524
 msgid "WordPress MU cannot integrate the comments."
-msgstr ""
-
-#: xpressme_class.php:520
+msgstr "WordPress MU cannot integrate the comments."
+
+#: xpressme_class.php:526
 msgid "Do Not Comment Integration."
-msgstr ""
-
-#: xpressme_class.php:555
+msgstr "Do Not Comment Integration."
+
+#: xpressme_class.php:561
 msgid "Comment integration with D3Forum"
-msgstr ""
-
-#: xpressme_class.php:557
+msgstr "Comment integration with D3Forum"
+
+#: xpressme_class.php:563
 msgid "Select the forum of D3Forum that does the comment integration from the following lists."
-msgstr ""
-
-#: xpressme_class.php:562
+msgstr "Select the forum of D3Forum that does the comment integration from the following lists."
+
+#: xpressme_class.php:568
 msgid "Select the Type of display of D3Forum comment."
-msgstr ""
-
-#: xpressme_class.php:564
-#: xpressme_class.php:567
+msgstr "Select the Type of display of D3Forum comment."
+
+#: xpressme_class.php:570
+#: xpressme_class.php:573
 msgid "Flat"
-msgstr ""
-
-#: xpressme_class.php:565
-#: xpressme_class.php:568
+msgstr "Flat"
+
+#: xpressme_class.php:571
+#: xpressme_class.php:574
 msgid "Threaded"
-msgstr ""
-
-#: xpressme_class.php:571
+msgstr "Threaded"
+
+#: xpressme_class.php:577
 msgid "Select the order of display of D3Forum comment."
-msgstr ""
-
-#: xpressme_class.php:573
-#: xpressme_class.php:576
+msgstr "Select the order of display of D3Forum comment."
+
+#: xpressme_class.php:579
+#: xpressme_class.php:582
 msgid "DESC"
-msgstr ""
-
-#: xpressme_class.php:574
-#: xpressme_class.php:577
+msgstr "DESC"
+
+#: xpressme_class.php:580
+#: xpressme_class.php:583
 msgid "ASC"
-msgstr ""
-
-#: xpressme_class.php:580
+msgstr "ASC"
+
+#: xpressme_class.php:586
 msgid "Number of displays of D3Forum comments."
-msgstr ""
-
-#: xpressme_class.php:583
+msgstr "Number of displays of D3Forum comments."
+
+#: xpressme_class.php:589
 msgid "The import and the export between Wordpress Comments and the D3Forum Posts can be done. "
-msgstr ""
-
-#: xpressme_class.php:584
+msgstr "The import and the export between Wordpress Comments and the D3Forum Posts can be done. "
+
+#: xpressme_class.php:590
 msgid "Export to D3Forum"
-msgstr ""
-
-#: xpressme_class.php:585
+msgstr "Export to D3Forum"
+
+#: xpressme_class.php:591
 msgid "Import from D3Forum"
-msgstr ""
-
-#: xpressme_class.php:598
+msgstr "Import from D3Forum"
+
+#: xpressme_class.php:604
 msgid "Contents Excerpt Setting"
-msgstr ""
-
-#: xpressme_class.php:603
+msgstr "Contents Excerpt Setting"
+
+#: xpressme_class.php:609
 msgid "Is the excerpt display done with the archive of contents?"
-msgstr ""
-
-#: xpressme_class.php:610
+msgstr "Is the excerpt display done with the archive of contents?"
+
+#: xpressme_class.php:616
 msgid "When ASCII character more than the set ratio is included, it is judged ASCII contents. "
-msgstr ""
-
-#: xpressme_class.php:617
+msgstr "When ASCII character more than the set ratio is included, it is judged ASCII contents. "
+
+#: xpressme_class.php:623
 msgid "Excerpt length of word for ASCII contents"
-msgstr ""
-
-#: xpressme_class.php:624
+msgstr "Excerpt length of word for ASCII contents"
+
+#: xpressme_class.php:630
 msgid "Excerpt length of character for multibyte contents"
-msgstr ""
-
-#: xpressme_class.php:631
+msgstr "Excerpt length of character for multibyte contents"
+
+#: xpressme_class.php:637
 msgid "This text is displayed in the link that reads contents not excerpted.(Is not displayed for the blank.)"
-msgstr ""
-
-#: xpressme_class.php:638
+msgstr "This text is displayed in the link that reads contents not excerpted.(Is not displayed for the blank.)"
+
+#: xpressme_class.php:644
 msgid "This text is displayed in the link that more tag (&lt;!--more--&gt;). "
-msgstr ""
-
-#: xpressme_class.php:650
+msgstr "This text is displayed in the link that more tag (&lt;!--more--&gt;). "
+
+#: xpressme_class.php:656
 msgid "Display Mode Setting"
-msgstr ""
-
-#: xpressme_class.php:653
+msgstr "Display Mode Setting"
+
+#: xpressme_class.php:659
 msgid "Select the XPressME Display Mode."
-msgstr ""
-
-#: xpressme_class.php:658
+msgstr "Select the XPressME Display Mode."
+
+#: xpressme_class.php:664
 msgid "Xoops Mode"
-msgstr ""
-
-#: xpressme_class.php:662
+msgstr "Xoops Mode"
+
+#: xpressme_class.php:668
 msgid "WordPress Mode"
-msgstr ""
-
-#: xpressme_class.php:666
+msgstr "WordPress Mode"
+
+#: xpressme_class.php:672
 msgid "User select"
-msgstr ""
-
-#: xpressme_class.php:676
+msgstr "User select"
+
+#: xpressme_class.php:677
+msgid "Select the theme used in the XOOPS Mode."
+msgstr "Select the theme used in the XOOPS Mode."
+
+#: xpressme_class.php:682
+msgid "Use WordPress Selected Themes"
+msgstr "Use WordPress Selected Themes"
+
+#: xpressme_class.php:700
 msgid "Header Meta Option"
-msgstr ""
-
-#: xpressme_class.php:681
+msgstr "Header Meta Option"
+
+#: xpressme_class.php:705
 msgid "Select the Header keyword."
-msgstr ""
-
-#: xpressme_class.php:686
+msgstr "Select the Header keyword."
+
+#: xpressme_class.php:710
 msgid "Xoops KeyWord"
-msgstr ""
-
-#: xpressme_class.php:689
+msgstr "Xoops KeyWord"
+
+#: xpressme_class.php:713
 msgid "WordPress KeyWord"
-msgstr ""
-
-#: xpressme_class.php:692
+msgstr "WordPress KeyWord"
+
+#: xpressme_class.php:716
 msgid "WordPress & Xoops KeyWord"
-msgstr ""
-
-#: xpressme_class.php:698
+msgstr "WordPress & Xoops KeyWord"
+
+#: xpressme_class.php:722
 msgid "Select the Header Description."
-msgstr ""
-
-#: xpressme_class.php:703
+msgstr "Select the Header Description."
+
+#: xpressme_class.php:727
 msgid "Xoops Description"
-msgstr ""
-
-#: xpressme_class.php:706
+msgstr "Xoops Description"
+
+#: xpressme_class.php:730
 msgid "WordPress Description"
-msgstr ""
-
-#: xpressme_class.php:709
+msgstr "WordPress Description"
+
+#: xpressme_class.php:733
 msgid "WordPress & Xoops Description"
-msgstr ""
-
-#: xpressme_class.php:715
+msgstr "WordPress & Xoops Description"
+
+#: xpressme_class.php:739
 msgid "Select the Header Robots Index."
-msgstr ""
-
-#: xpressme_class.php:720
+msgstr "Select the Header Robots Index."
+
+#: xpressme_class.php:744
 msgid "Xoops Robots Index"
-msgstr ""
-
-#: xpressme_class.php:723
+msgstr "Xoops Robots Index"
+
+#: xpressme_class.php:747
 msgid "WordPress Robots Index"
-msgstr ""
-
-#: xpressme_class.php:752
+msgstr "WordPress Robots Index"
+
+#: xpressme_class.php:776
 #, php-format
 msgid "Unable to create directory %s. Is its parent directory writable by the server?"
-msgstr ""
+msgstr "Unable to create directory %s. Is its parent directory writable by the server?"
 
 #: include/custom_functions.php:74
 #, php-format
 msgid "Permanent Link to %s"
-msgstr ""
+msgstr "Permanent Link to %s"
 
 #: include/custom_functions.php:429
@@ -453,56 +457,56 @@
 #, php-format
 msgid "views :%d"
-msgstr ""
+msgstr "views :%d"
 
 #: include/custom_functions.php:608
 msgid "Main"
-msgstr ""
+msgstr "Main"
 
 #: include/custom_functions.php:611
 #, php-format
 msgid "Archive for the &#8216;%s&#8217; Category"
-msgstr ""
+msgstr "Archive for the &#8216;%s&#8217; Category"
 
 #: include/custom_functions.php:614
 #, php-format
 msgid "Posts Tagged &#8216;%s&#8217;"
-msgstr ""
+msgstr "Posts Tagged &#8216;%s&#8217;"
 
 #: include/custom_functions.php:617
 #, php-format
 msgid "Archive for %s|Daily archive page"
-msgstr ""
+msgstr "Archive for %s|Daily archive page"
 
 #: include/custom_functions.php:617
 msgid "F jS, Y"
-msgstr ""
+msgstr "F jS, Y"
 
 #: include/custom_functions.php:619
 #, php-format
 msgid "Archive for %s|Monthly archive page"
-msgstr ""
+msgstr "Archive for %s|Monthly archive page"
 
 #: include/custom_functions.php:619
 msgid "F, Y"
-msgstr ""
+msgstr "F, Y"
 
 #: include/custom_functions.php:621
 #, php-format
 msgid "Archive for %s|Yearly archive page"
-msgstr ""
+msgstr "Archive for %s|Yearly archive page"
 
 #: include/custom_functions.php:621
 msgid "Y"
-msgstr ""
+msgstr "Y"
 
 #: include/custom_functions.php:624
 #, php-format
 msgid "Archive for the &#8216;%s&#8217; Author"
-msgstr ""
+msgstr "Archive for the &#8216;%s&#8217; Author"
 
 #: include/custom_functions.php:627
 #, php-format
 msgid "Search Results of word &#8216;%s&#8217;"
-msgstr ""
+msgstr "Search Results of word &#8216;%s&#8217;"
 
 #: include/custom_functions.php:633
@@ -510,14 +514,14 @@
 #, php-format
 msgid "Article of %s"
-msgstr ""
+msgstr "Article of %s"
 
 #: include/custom_functions.php:657
 #, php-format
 msgid "From %1$s on site %2$s"
-msgstr ""
+msgstr "From %1$s on site %2$s"
 
 #: include/custom_functions.php:678
 msgid "No Trackback/Pingback"
-msgstr ""
+msgstr "No Trackback/Pingback"
 
 #: include/custom_functions.php:679
@@ -530,16 +534,14 @@
 
 #: include/dashboard_feed.php:19
-#, fuzzy
 msgid "XPressME Integration Kit Blog"
-msgstr "XPressME Configuration Page"
+msgstr "XPressME Integration Kit Blog"
 
 #: include/dashboard_feed.php:32
-#, fuzzy
 msgid "XPressME Integration Kit Folum"
-msgstr "XPressME Configuration Page"
+msgstr "XPressME Integration Kit Folum"
 
 #: include/dashboard_feed.php:92
 msgid "Unknown Feed"
-msgstr ""
+msgstr "Unknown Feed"
 
 #: include/functions_for_wp_old.php:21