Index: trunk/xpressme_integration_kit/blocks/recent_posts_content_block.php
===================================================================
--- trunk/xpressme_integration_kit/blocks/recent_posts_content_block.php	(revision 429)
+++ trunk/xpressme_integration_kit/blocks/recent_posts_content_block.php	(revision 435)
@@ -19,13 +19,13 @@
 		$mydirname = empty( $options[0] ) ? 'xpress' : $options[0] ;
 		$this_template = empty( $options[1] ) ? 'db:'.$mydirname.'_recent_posts_content_block.html' : trim( $options[1] );
-		$day_select = ($options[2])?intval($options[2]):0;
-		$day_size = ($options[3])?intval($options[3]):0;
-		$disp_count =  ($options[4])?intval($options[4]):10;
-		$excerpt = empty( $options[5] ) ? false : true ;
-		$excerpt_size =  ($options[6])?intval($options[6]):100;
-		$date_format = empty( $options[7] ) ? '' : $options[7] ;
-		$time_format = empty( $options[8] ) ? '' : $options[8] ;
-		$tag_select = $options[9] ;
-	    $selected = array_slice($options,10); // get allowed cats
+		$disp_count =  ($options[2])?intval($options[2]):10;
+		$excerpt = empty( $options[3] ) ? false : true ;
+		$excerpt_size =  ($options[4])?intval($options[4]):100;
+		$date_format = empty( $options[5] ) ? '' : $options[5] ;
+		$time_format = empty( $options[6] ) ? '' : $options[6] ;
+		$tag_select = $options[7] ;
+		$cat_select = empty( $options[8] ) ? '0' : $options[8] ;
+		$day_select = ($options[9])?intval($options[9]):0;
+		$day_size = ($options[10])?intval($options[10]):0;
 
 		$mydirpath = XOOPS_ROOT_PATH . '/modules/' . $mydirname;
@@ -35,6 +35,22 @@
 		$form  = "MyDirectory <input type='text' name='options[0]' value='" . $mydirname . "' /><br />\n";
 	    $form .= "<input type='hidden' name='options[1]' id='this_template' value='".htmlspecialchars($this_template,ENT_QUOTES)."' /><br />";
-		$form .= "<br />";
-		$form .= _MB_XP2_DAY_SELECT . ':' . _MB_XP2_DAY_BETWEEN . '<select name="options[2]">';
+		$form .= _MB_XP2_COUNT .": <input type='text' name='options[2]' value='" . $disp_count . "' /><br />\n";
+		$form .= yes_no_radio_option('options[3]', _MB_XP2_P_EXCERPT , $excerpt) . "<br />\n";
+		$form .= _MB_XP2_P_EXCERPT_SIZE .": <input type='text' name='options[4]' value='" . $excerpt_size . "' /><br />\n";
+		$form .= _MB_XP2_DATE_FORMAT .": <input type='text' name='options[5]' value='" . $date_format . "' /><br />\n";
+		$form .= _MB_XP2_TIME_FORMAT .": <input type='text' name='options[6]' value='" . $time_format . "' /><br />\n";
+		
+		include $mydirpath .'/wp-includes/version.php' ;
+		if (wp_version_compare($wp_version, '>=','2.3')){
+			$form .= "<br />\n";
+			$form .= _MB_XP2_TAGS_SELECT .": <input type='text' name='options[7]' value='" . $tag_select . "' /><br />\n";
+		} else {
+			$form .= "<input type='hidden' name='options[7]' value='' /><br />\n";
+		}
+		
+	    $form .= categorie_select('options[8]' , $cat_select);
+	    
+	    $form .= "<br />";
+		$form .= _MB_XP2_DAY_SELECT . ':' . _MB_XP2_DAY_BETWEEN . '<select name="options[9]">';
 		switch ($day_select){
 		case 1:
@@ -55,33 +71,5 @@
 		$form .= '</select>';
 		
-		$form .= ' ' . _MB_XP2_DAYS_AND . " <input type='text' size='2' name='options[3]' value='" . $day_size . "' />" . _MB_XP2_DAYS_AGO . "<br />\n";
-
-		$form .= _MB_XP2_COUNT .": <input type='text' name='options[4]' value='" . $disp_count . "' /><br />\n";
-		$form .= yes_no_radio_option('options[5]', _MB_XP2_P_EXCERPT , $excerpt) . "<br />\n";
-		$form .= _MB_XP2_P_EXCERPT_SIZE .": <input type='text' name='options[6]' value='" . $excerpt_size . "' /><br />\n";
-		$form .= _MB_XP2_DATE_FORMAT .": <input type='text' name='options[7]' value='" . $date_format . "' /><br />\n";
-		$form .= _MB_XP2_TIME_FORMAT .": <input type='text' name='options[8]' value='" . $time_format . "' /><br />\n";
-		
-		include $mydirpath .'/wp-includes/version.php' ;
-		if (wp_version_compare($wp_version, '>=','2.3')){
-			$form .= "<br />\n";
-			$form .= _MB_XP2_TAGS_SELECT .": <input type='text' name='options[9]' value='" . $tag_select . "' /><br />\n";
-		} else {
-			$form .= "<input type='hidden' name='options[9]' value='' /><br />\n";
-		}
-		
-	    $form .= _MB_XP2_CATS_SELECT ."<br />\n";
-	    $isAll = (count($selected)==0||empty($selected[0]))?true:false;
-	    $form .= "&nbsp;&nbsp;<select name=\"options[]\" multiple=\"multiple\">\n";
-	    $form .= "\t<option value=\"0\" ";
-	    if ($isAll) $form .= " selected=\"selected\"";
-	    $form .= ">"._MB_XP2_ALL ."</option>\n";
-		ob_start();
-		dropdown_cats_options('ID','asc',$selected);
-		$list_str = ob_get_contents();
-		ob_end_clean();
-	    $form .= $list_str. "</select><br />\n";
-	    
-//	    $form .="<br /><input type='text' size='60' name='options[11]' id='this_template' value='".htmlspecialchars($this_template,ENT_QUOTES)."' />";
+		$form .= ' ' . _MB_XP2_DAYS_AND . " <input type='text' size='2' name='options[10]' value='" . $day_size . "' />" . _MB_XP2_DAYS_AGO . "<br />\n";
 
 		return $form;