Index: trunk/xpressme_integration_kit/wp-content/plugins/xpressme/language/xpressme-ja.po
===================================================================
--- trunk/xpressme_integration_kit/wp-content/plugins/xpressme/language/xpressme-ja.po	(revision 392)
+++ trunk/xpressme_integration_kit/wp-content/plugins/xpressme/language/xpressme-ja.po	(revision 443)
@@ -8,6 +8,6 @@
 "Project-Id-Version: XPressME Plugin\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-10-06 21:59+0900\n"
-"PO-Revision-Date: 2009-10-06 22:00+0900\n"
+"POT-Creation-Date: 2009-11-16 11:30+0900\n"
+"PO-Revision-Date: 2009-11-16 11:34+0900\n"
 "Last-Translator: toemon <info@toemon.com>\n"
 "Language-Team: toemon <info@toemon.com>\n"
@@ -23,438 +23,428 @@
 "X-Poedit-SearchPath-0: .\n"
 
-#: xpressme.php:33
+#: xpressme.php:59
 msgid "Display Settings"
 msgstr "表示設定"
 
-#: xpressme.php:34
+#: xpressme.php:60
 msgid "Integration Settings"
 msgstr "統合設定"
 
-#: xpressme.php:35
+#: xpressme.php:61
 msgid "Other Settings"
 msgstr "その他の設定"
 
-#: xpressme.php:37
+#: xpressme.php:63
 msgid "Upgrade"
 msgstr "アップグレード"
 
-#: xpressme.php:38
+#: xpressme.php:64
 msgid "to Modules Admin"
 msgstr "モジュール管理へ"
 
-#: xpressme.php:138
+#: xpressme.php:164
 msgid "XPressME Display Setting"
 msgstr "XPressME 表示設定"
 
-#: xpressme.php:144
+#: xpressme.php:170
 msgid "Thema Sidebar Display"
 msgstr "テーマ表示時にサイドバー表示する。"
 
-#: xpressme.php:145
-#: xpressme.php:235
-#: xpressme.php:241
-#: xpressme.php:246
-#: xpressme.php:252
-#: xpressme_class.php:283
-#: xpressme_class.php:299
-#: xpressme_class.php:431
+#: xpressme.php:171
+#: xpressme.php:263
+#: xpressme.php:269
+#: xpressme.php:274
+#: xpressme.php:280
+#: xpressme_class.php:293
+#: xpressme_class.php:311
 #: xpressme_class.php:442
+#: xpressme_class.php:453
 msgid "YES"
 msgstr "はい"
 
-#: xpressme.php:146
-#: xpressme.php:236
-#: xpressme.php:242
-#: xpressme.php:247
-#: xpressme.php:253
-#: xpressme_class.php:284
-#: xpressme_class.php:300
-#: xpressme_class.php:432
+#: xpressme.php:172
+#: xpressme.php:264
+#: xpressme.php:270
+#: xpressme.php:275
+#: xpressme.php:281
+#: xpressme_class.php:294
+#: xpressme_class.php:312
 #: xpressme_class.php:443
+#: xpressme_class.php:454
 msgid "NO"
 msgstr "いいえ"
 
-#: xpressme.php:155
-#: xpressme.php:204
-#: xpressme.php:258
+#: xpressme.php:181
+#: xpressme.php:232
+#: xpressme.php:286
 msgid "Update Config"
 msgstr "更新"
 
-#: xpressme.php:156
-#: xpressme.php:205
-#: xpressme.php:259
+#: xpressme.php:182
+#: xpressme.php:233
+#: xpressme.php:287
 msgid "Preset Config"
 msgstr "プリセット"
 
-#: xpressme.php:188
+#: xpressme.php:214
 msgid "XPressME Integration Setting"
 msgstr "XPressME 統合設定"
 
-#: xpressme.php:193
+#: xpressme.php:218
 msgid "Media Upload Base Path"
 msgstr "メディアアップロードのベースパス設定"
 
-#: xpressme.php:194
+#: xpressme.php:222
 msgid "Use XOOPS UPLOAD PATH"
 msgstr "XOOPSのアップロードパスを使用する。"
 
-#: xpressme.php:195
+#: xpressme.php:223
 msgid "USE WordPress BASE_PATH"
 msgstr "WordPressのベースパスを使用する。"
 
-#: xpressme.php:229
+#: xpressme.php:257
 msgid "XPressME Other Setting"
 msgstr "XPressME その他の設定"
 
-#: xpressme.php:234
+#: xpressme.php:262
 msgid "The change tracking of the post is preserved"
 msgstr "投稿の変更履歴を有効にする。"
 
-#: xpressme.php:240
+#: xpressme.php:268
 msgid "Select Multi user mode"
 msgstr "マルチユーザーモードを選択"
 
-#: xpressme.php:245
+#: xpressme.php:273
 msgid "Is the posts author views counted?"
 msgstr "投稿者の閲覧をカウントしますか？"
 
-#: xpressme.php:251
+#: xpressme.php:279
 msgid "Is SQL debugging window displayed?"
 msgstr "SQLデバッグウィンドを表示しますか？"
 
-#: xpressme.php:275
-msgid "XPressME Upgrade"
-msgstr "XPressME アップグレード"
-
-#: xpressme.php:289
-#, php-format
-msgid "You are using a XPressME Integration Kit development version (%1$s). Cool! Please <a href=\"%2$s\">stay updated</a>."
-msgstr "お使いの XPressME Integration Kit は開発版 (%1$s) です。すばらしい ! どうぞ<a href=\"%2$s\">最新版を使い続けてください</a>。"
-
-#: xpressme.php:293
-msgid "There is a new version of XPressME Integration Kit available for upgrade"
-msgstr "新しいバージョンの XPressME Integration Kit にアップグレードが可能です"
-
-#: xpressme.php:296
-#, php-format
-msgid "You can upgrade to version %s download the package and install it manually:"
-msgstr "バージョン %s のパッケージを手動でダウンロードしてインストールすることができます。"
-
-#: xpressme.php:299
-#, php-format
-msgid "Download %s"
-msgstr "%s をダウンロード"
-
-#: xpressme.php:302
-msgid "You have the latest version of XPressME Integration Kit. You do not need to upgrade"
-msgstr "最新バージョンの XPressME Integration Kit をご利用中です。アップグレードの必要はありません。"
-
-#: xpressme.php:306
-#, php-format
-msgid "There is no response from <a href=\"%s\">version check API</a> now. sorry, please confirm it after."
-msgstr "現在、<a href=\"%s\">version check API</a>からのレスポンスがありません。　申し訳ありませんが、しばらく後で確認してください。"
-
-#: xpressme.php:425
-#, php-format
-msgid "XPressME Integration Kit Version %1$s is available! <a href=\"%2$s\">Please update now</a>."
-msgstr "XPressME Integration Kit Version %1$s が利用可能です ! <a href=\"%2$s\">アップデートしてください</a>。"
-
-#: xpressme.php:427
-#, php-format
-msgid "XPressME Integration Kit Version %1$s is available! Please notify the site administrator."
-msgstr "XPressME Integration Kit Version %1$s が利用可能です ! サイト管理者に連絡してください。"
-
-#: xpressme_class.php:55
-#: xpressme_class.php:232
+#: xpressme_class.php:60
+#: xpressme_class.php:240
 msgid "Older Post"
 msgstr "前の投稿へ"
 
-#: xpressme_class.php:56
-#: xpressme_class.php:235
+#: xpressme_class.php:61
+#: xpressme_class.php:243
 msgid "Newer Post"
 msgstr "次の投稿へ"
 
-#: xpressme_class.php:58
-#: xpressme_class.php:238
+#: xpressme_class.php:63
+#: xpressme_class.php:246
 msgid "Older Entries"
 msgstr "前ページへ"
 
-#: xpressme_class.php:59
-#: xpressme_class.php:241
+#: xpressme_class.php:64
+#: xpressme_class.php:249
 msgid "Newer Entries"
 msgstr "次ページへ"
 
-#: xpressme_class.php:73
-#: xpressme_class.php:74
-#: xpressme_class.php:244
+#: xpressme_class.php:78
+#: xpressme_class.php:79
+#: xpressme_class.php:252
 msgid "Read the rest of this entry &raquo;"
 msgstr "この投稿の続きを読む &raquo;"
 
-#: xpressme_class.php:342
+#: xpressme_class.php:353
 msgid "Single Post Navi Setting"
 msgstr "シングルポストナビの設定"
 
-#: xpressme_class.php:347
-#: xpressme_class.php:392
+#: xpressme_class.php:358
+#: xpressme_class.php:403
 msgid "Adjustment of Navi link display position"
 msgstr "リンクの表示位置設定"
 
-#: xpressme_class.php:350
+#: xpressme_class.php:361
 msgid "'Old Post Link' is displayed in the left, and 'Newer Post Link' is displayed in the right"
 msgstr "以前の記事へのリンクを左に、より新しい記事へのリンクを右に表示"
 
-#: xpressme_class.php:351
+#: xpressme_class.php:362
 msgid "'Newer Post Link' is displayed in the left, and 'Old Post Link' is displayed in the right"
 msgstr "より新しい記事へのリンクを左に、古い記事へのリンクを右に表示"
 
-#: xpressme_class.php:357
+#: xpressme_class.php:368
 msgid "Select Display name of PostNavi Link"
 msgstr "表示するリンクテキストを選択"
 
-#: xpressme_class.php:360
+#: xpressme_class.php:371
 msgid "Title of post"
 msgstr "投稿記事のタイトルを表示"
 
-#: xpressme_class.php:361
+#: xpressme_class.php:372
 msgid "Title of Navi"
 msgstr "ナビタイトルを表示"
 
-#: xpressme_class.php:367
+#: xpressme_class.php:378
 msgid "Display Navi Title of Old Post Link"
 msgstr "古い記事へのナビタイトルを設定"
 
-#: xpressme_class.php:374
+#: xpressme_class.php:385
 msgid "Display Navi Title of Newer Post Link"
 msgstr "より新しい記事へのナビタイトルを設定"
 
-#: xpressme_class.php:387
+#: xpressme_class.php:398
 msgid "Posts List Page Navi Setting"
 msgstr "ポストリストページナビの設定"
 
-#: xpressme_class.php:395
+#: xpressme_class.php:406
 msgid "'Old Page Link' is displayed in the left, and 'Newer Page Link' is displayed in the right"
 msgstr "古いページへのリンクを左に、より新しいページへのリンクを右に表示"
 
-#: xpressme_class.php:396
+#: xpressme_class.php:407
 msgid "'Newer Page Link' is displayed in the left, and 'Old Page Link' is displayed in the right"
 msgstr "より新しいページへのリンクを左に、古いページへのリンクを右に表示"
 
-#: xpressme_class.php:402
+#: xpressme_class.php:413
 msgid "Display Navi Title of Old Page Link"
 msgstr "古いページへのナビタイトルを設定"
 
-#: xpressme_class.php:409
+#: xpressme_class.php:420
 msgid "Display Navi Title of Newer Page Link"
 msgstr "より新しいページへのナビタイトルを設定"
 
-#: xpressme_class.php:422
+#: xpressme_class.php:433
 msgid "Dashboard feed Display Setting"
 msgstr "ダッシュボード　フィード表示設定"
 
-#: xpressme_class.php:428
+#: xpressme_class.php:439
 msgid "Display XPressMe Integration Kit Blog"
 msgstr "XPressME Integration Kit ブログを表示する。"
 
-#: xpressme_class.php:439
+#: xpressme_class.php:450
 msgid "Display XPressMe Integration Kit Forum"
 msgstr "XPressME Integration Kit フォーラムを表示する。"
 
-#: xpressme_class.php:456
+#: xpressme_class.php:468
 msgid "Role Setting at Login"
 msgstr "ログイン時の権限設定"
 
-#: xpressme_class.php:459
+#: xpressme_class.php:471
 msgid "XOOPS Groupe"
 msgstr "XOOPSグループ名"
 
-#: xpressme_class.php:459
+#: xpressme_class.php:471
 msgid "WordPress Role"
 msgstr "WordPressでの権限"
 
-#: xpressme_class.php:459
+#: xpressme_class.php:471
 msgid "Role is set at each login"
 msgstr "ログイン時、常に権限を更新する"
 
-#: xpressme_class.php:485
-#: xpressme_class.php:489
-#: xpressme_class.php:492
+#: xpressme_class.php:497
+#: xpressme_class.php:501
+#: xpressme_class.php:504
 msgid "Default Role of WordPress"
 msgstr "WordPressのデフォルト権限"
 
-#: xpressme_class.php:486
-#: xpressme_class.php:490
-#: xpressme_class.php:493
+#: xpressme_class.php:498
+#: xpressme_class.php:502
+#: xpressme_class.php:505
 msgid "Group User Doesn't Register"
 msgstr "ユーザ登録しない"
 
-#: xpressme_class.php:524
+#: xpressme_class.php:518
+msgid "Only the Admin can set Group Role Setting"
+msgstr "管理者だけがグループ権限を設定できます。"
+
+#: xpressme_class.php:538
 msgid "WordPress MU cannot integrate the comments."
 msgstr "WordPress MUはコメント統合できません。"
 
-#: xpressme_class.php:526
+#: xpressme_class.php:540
 msgid "Do Not Comment Integration."
 msgstr "コメント統合しません。"
 
-#: xpressme_class.php:561
+#: xpressme_class.php:575
 msgid "Comment integration with D3Forum"
 msgstr "D3Forumとのコメント統合"
 
-#: xpressme_class.php:563
+#: xpressme_class.php:577
 msgid "Select the forum of D3Forum that does the comment integration from the following lists."
 msgstr "以下のリストからコメント統合をするD3Forumのフォーラムを選択してください。"
 
-#: xpressme_class.php:568
+#: xpressme_class.php:582
 msgid "Select the Type of display of D3Forum comment."
 msgstr "D3Forumの表示タイプを選択"
 
-#: xpressme_class.php:570
-#: xpressme_class.php:573
+#: xpressme_class.php:584
+#: xpressme_class.php:587
 msgid "Flat"
 msgstr "フラット"
 
-#: xpressme_class.php:571
-#: xpressme_class.php:574
+#: xpressme_class.php:585
+#: xpressme_class.php:588
 msgid "Threaded"
 msgstr "スレッド"
 
-#: xpressme_class.php:577
+#: xpressme_class.php:591
 msgid "Select the order of display of D3Forum comment."
 msgstr "D3Forumコメントの表示順を選択"
 
-#: xpressme_class.php:579
-#: xpressme_class.php:582
+#: xpressme_class.php:593
+#: xpressme_class.php:596
 msgid "DESC"
 msgstr "降順"
 
-#: xpressme_class.php:580
-#: xpressme_class.php:583
+#: xpressme_class.php:594
+#: xpressme_class.php:597
 msgid "ASC"
 msgstr "昇順"
 
-#: xpressme_class.php:586
+#: xpressme_class.php:600
 msgid "Number of displays of D3Forum comments."
 msgstr "D3Forumのコメント表示数"
 
-#: xpressme_class.php:589
+#: xpressme_class.php:603
 msgid "The import and the export between Wordpress Comments and the D3Forum Posts can be done. "
 msgstr "WordPressコメントとD3Forumポスト間の一括転送（エクスポート・インポート）"
 
-#: xpressme_class.php:590
+#: xpressme_class.php:604
 msgid "Export to D3Forum"
 msgstr "D3Forumへ一括エクスポート"
 
-#: xpressme_class.php:591
+#: xpressme_class.php:605
 msgid "Import from D3Forum"
 msgstr "D3Forumから一括インポート"
 
-#: xpressme_class.php:604
+#: xpressme_class.php:618
 msgid "Contents Excerpt Setting"
 msgstr "記事抜粋の設定"
 
-#: xpressme_class.php:609
+#: xpressme_class.php:623
 msgid "Is the excerpt display done with the archive of contents?"
 msgstr "記事のアーカイブで抜粋表示を行いますか？"
 
-#: xpressme_class.php:616
+#: xpressme_class.php:630
 msgid "When ASCII character more than the set ratio is included, it is judged ASCII contents. "
 msgstr "ASCII文字が含まれる比率が設定された値より大きい場合、ASCII文字コンテンツと判断します。"
 
-#: xpressme_class.php:623
+#: xpressme_class.php:637
 msgid "Excerpt length of word for ASCII contents"
 msgstr "ASCIIコンテンツの抜粋単語数"
 
-#: xpressme_class.php:630
+#: xpressme_class.php:644
 msgid "Excerpt length of character for multibyte contents"
 msgstr "マルチバイトコンテンツの抜粋文字数"
 
-#: xpressme_class.php:637
+#: xpressme_class.php:651
 msgid "This text is displayed in the link that reads contents not excerpted.(Is not displayed for the blank.)"
 msgstr "抜粋されていないコンテンツを読むためのリンクに表示されるテキスト(空白の場合リンクを表示しません)"
 
-#: xpressme_class.php:644
+#: xpressme_class.php:658
 msgid "This text is displayed in the link that more tag (&lt;!--more--&gt;). "
 msgstr "more タグ (&lt;!--more--&gt;)のリンクに表示されるテキスト"
 
-#: xpressme_class.php:656
+#: xpressme_class.php:670
 msgid "Display Mode Setting"
 msgstr "表示モード設定"
 
-#: xpressme_class.php:659
+#: xpressme_class.php:673
 msgid "Select the XPressME Display Mode."
 msgstr "XPressMEの表示モードの選択"
 
-#: xpressme_class.php:664
+#: xpressme_class.php:678
 msgid "Xoops Mode"
 msgstr "XOOPSモード"
 
-#: xpressme_class.php:668
+#: xpressme_class.php:682
 msgid "WordPress Mode"
 msgstr "WordPressモード"
 
-#: xpressme_class.php:672
+#: xpressme_class.php:686
 msgid "User select"
 msgstr "ユーザによる選択"
 
-#: xpressme_class.php:677
+#: xpressme_class.php:691
 msgid "Select the theme used in the XOOPS Mode."
 msgstr "XOOPSモードで使用するテーマを選択"
 
-#: xpressme_class.php:682
+#: xpressme_class.php:696
 msgid "Use WordPress Selected Themes"
 msgstr "WordPressで選択したテーマを使う"
 
-#: xpressme_class.php:700
+#: xpressme_class.php:714
 msgid "Header Meta Option"
 msgstr "ヘッダメタ　オプション"
 
-#: xpressme_class.php:705
+#: xpressme_class.php:719
 msgid "Select the Header keyword."
 msgstr "ヘッダで使用するキーワードの選択"
 
-#: xpressme_class.php:710
+#: xpressme_class.php:724
 msgid "Xoops KeyWord"
 msgstr "XOOPSのキーワード"
 
-#: xpressme_class.php:713
+#: xpressme_class.php:727
 msgid "WordPress KeyWord"
 msgstr "WordPressのキーワード"
 
-#: xpressme_class.php:716
+#: xpressme_class.php:730
 msgid "WordPress & Xoops KeyWord"
 msgstr "WordPressｊとXOOPSのキーワード"
 
-#: xpressme_class.php:722
+#: xpressme_class.php:736
 msgid "Select the Header Description."
 msgstr "ヘッダで使用するディスクリプション（説明）の選択"
 
-#: xpressme_class.php:727
+#: xpressme_class.php:741
 msgid "Xoops Description"
 msgstr "XOOPSのディスクリプション"
 
-#: xpressme_class.php:730
+#: xpressme_class.php:744
 msgid "WordPress Description"
 msgstr "WordPressのディスクリプション"
 
-#: xpressme_class.php:733
+#: xpressme_class.php:747
 msgid "WordPress & Xoops Description"
 msgstr "WordPressとXOOPSのディスクリプション"
 
-#: xpressme_class.php:739
+#: xpressme_class.php:753
 msgid "Select the Header Robots Index."
 msgstr "ヘッダで使用するロボットインデックスの選択"
 
-#: xpressme_class.php:744
+#: xpressme_class.php:758
 msgid "Xoops Robots Index"
 msgstr "XOOPSのロボットインデックス"
 
-#: xpressme_class.php:747
+#: xpressme_class.php:761
 msgid "WordPress Robots Index"
 msgstr "WordPressのロボットインデックス"
 
-#: xpressme_class.php:776
+#: xpressme_class.php:790
 #, php-format
 msgid "Unable to create directory %s. Is its parent directory writable by the server?"
 msgstr "%s ディレクトリーが作成できません。サーバーの親ディレクトリー書き込み権限があるか確認くださいr?"
 
+#: xpressme_widget_class.php:17
+msgid "XPressME User Menu Widget"
+msgstr "XPressME ユーザメニュー ウィジェット"
+
+#: xpressme_widget_class.php:19
+msgid "XPressME MENU"
+msgstr "XPressME メニュー"
+
+#: xpressme_widget_class.php:76
+msgid "User Menu"
+msgstr "ユーザメニュー"
+
+#: xpressme_widget_class.php:77
+msgid "Site Home"
+msgstr "サイトホーム"
+
+#: xpressme_widget_class.php:103
+msgid "Title:"
+msgstr "タイトル:"
+
+#: xpressme_widget_class.php:104
+msgid "Title"
+msgstr "タイトル"
+
+#: xpressme_widget_class.php:104
+msgid "URL"
+msgstr "URL"
+
 #: include/custom_functions.php:74
 #, php-format
@@ -463,80 +453,80 @@
 
 #: include/custom_functions.php:429
-#: include/custom_functions.php:454
+#: include/custom_functions.php:459
 #, php-format
 msgid "views :%d"
 msgstr "閲覧数 :%d"
 
-#: include/custom_functions.php:608
+#: include/custom_functions.php:623
 msgid "Main"
 msgstr "メイン"
 
-#: include/custom_functions.php:611
+#: include/custom_functions.php:626
 #, php-format
 msgid "Archive for the &#8216;%s&#8217; Category"
 msgstr "カテゴリー &#8216;%s&#8217; のアーカイブ"
 
-#: include/custom_functions.php:614
+#: include/custom_functions.php:629
 #, php-format
 msgid "Posts Tagged &#8216;%s&#8217;"
 msgstr "&#8216;%s&#8217; タグのついている投稿"
 
-#: include/custom_functions.php:617
+#: include/custom_functions.php:632
 #, php-format
 msgid "Archive for %s|Daily archive page"
 msgstr "%sの日別アーカイブ"
 
-#: include/custom_functions.php:617
+#: include/custom_functions.php:632
 msgid "F jS, Y"
 msgstr "Y年n月j日"
 
-#: include/custom_functions.php:619
+#: include/custom_functions.php:634
 #, php-format
 msgid "Archive for %s|Monthly archive page"
 msgstr "%sの月別アーカイブ"
 
-#: include/custom_functions.php:619
+#: include/custom_functions.php:634
 msgid "F, Y"
 msgstr "Y年n月"
 
-#: include/custom_functions.php:621
+#: include/custom_functions.php:636
 #, php-format
 msgid "Archive for %s|Yearly archive page"
 msgstr "%sの年別アーカイブ "
 
-#: include/custom_functions.php:621
+#: include/custom_functions.php:636
 msgid "Y"
 msgstr "Y年"
 
-#: include/custom_functions.php:624
+#: include/custom_functions.php:639
 #, php-format
 msgid "Archive for the &#8216;%s&#8217; Author"
 msgstr "投稿者 &#8216;%s&#8217; のアーカイブ"
 
-#: include/custom_functions.php:627
+#: include/custom_functions.php:642
 #, php-format
 msgid "Search Results of word &#8216;%s&#8217;"
 msgstr "&#8216;%s&#8217; の検索結果"
 
-#: include/custom_functions.php:633
-#: include/custom_functions.php:635
+#: include/custom_functions.php:648
+#: include/custom_functions.php:650
 #, php-format
 msgid "Article of %s"
 msgstr "%sの記事"
 
-#: include/custom_functions.php:657
+#: include/custom_functions.php:672
 #, php-format
 msgid "From %1$s on site %2$s"
 msgstr "サイト %2$s の %1$s より"
 
-#: include/custom_functions.php:678
+#: include/custom_functions.php:693
 msgid "No Trackback/Pingback"
 msgstr "トラックバック・ピンバックはありません"
 
-#: include/custom_functions.php:679
+#: include/custom_functions.php:694
 msgid "One Trackback/Pingback"
 msgstr "トラックバック・ピンバック 1 件"
 
-#: include/custom_functions.php:680
+#: include/custom_functions.php:695
 msgid "% TrackBack/Pingback"
 msgstr "トラックバック・ピンバック % 件"
@@ -583,4 +573,62 @@
 msgid "Switch to WordPress mode"
 msgstr "WordPressモードへ切替"
+
+#: include/xpress_upgrade.php:11
+msgid "XPressME Upgrade"
+msgstr "XPressME アップグレード"
+
+#: include/xpress_upgrade.php:26
+#, php-format
+msgid "You are using a XPressME Integration Kit development version (%1$s). Cool! Please <a href=\"%2$s\">stay updated</a>."
+msgstr "お使いの XPressME Integration Kit は開発版 (%1$s) です。すばらしい ! どうぞ<a href=\"%2$s\">最新版を使い続けてください</a>。"
+
+#: include/xpress_upgrade.php:30
+msgid "There is a new version of XPressME Integration Kit available for upgrade"
+msgstr "新しいバージョンの XPressME Integration Kit にアップグレードが可能です"
+
+#: include/xpress_upgrade.php:33
+#, php-format
+msgid "You can upgrade to version %s download the package and install it manually:"
+msgstr "バージョン %s のパッケージを手動でダウンロードしてインストールすることができます。"
+
+#: include/xpress_upgrade.php:36
+#: include/xpress_upgrade.php:56
+#, php-format
+msgid "Download %s"
+msgstr "%s をダウンロード"
+
+#: include/xpress_upgrade.php:41
+#, php-format
+msgid "You can download the differential file from version %s to %s and upgrade it manually:"
+msgstr "バージョン%sから%sへの差分ファイルをダウンロードし、手動でアップグレードすることができます："
+
+#: include/xpress_upgrade.php:44
+#, php-format
+msgid "Download differential file for %s"
+msgstr "%sの差分ファイルをダウンロード"
+
+#: include/xpress_upgrade.php:48
+msgid "You have the latest version of XPressME Integration Kit. You do not need to upgrade"
+msgstr "最新バージョンの XPressME Integration Kit をご利用中です。アップグレードの必要はありません。"
+
+#: include/xpress_upgrade.php:53
+#, php-format
+msgid "You can use the development version %s download the package and install it manually:"
+msgstr "開発バージョン %s のパッケージを手動でダウンロードしてインストールすることができます。"
+
+#: include/xpress_upgrade.php:62
+#, php-format
+msgid "There is no response from <a href=\"%s\">version check API</a> now. sorry, please confirm it after."
+msgstr "現在、<a href=\"%s\">version check API</a>からのレスポンスがありません。　申し訳ありませんが、しばらく後で確認してください。"
+
+#: include/xpress_upgrade.php:207
+#, php-format
+msgid "XPressME Integration Kit Version %1$s is available! <a href=\"%2$s\">Please update now</a>."
+msgstr "XPressME Integration Kit Version %1$s が利用可能です ! <a href=\"%2$s\">アップデートしてください</a>。"
+
+#: include/xpress_upgrade.php:209
+#, php-format
+msgid "XPressME Integration Kit Version %1$s is available! Please notify the site administrator."
+msgstr "XPressME Integration Kit Version %1$s が利用可能です ! サイト管理者に連絡してください。"
 
 #~ msgid "more"