Index: tags/Ver2.2.0RC1/extras/xpress_i18n/template/xpressme_modules_root/wp-content/plugins/xpressme/language/xpressme-lang.pot
===================================================================
--- trunk/extras/xpress_i18n/template/xpressme_modules_root/wp-content/plugins/xpressme/language/xpressme-lang.pot	(revision 429)
+++ tags/Ver2.2.0RC1/extras/xpress_i18n/template/xpressme_modules_root/wp-content/plugins/xpressme/language/xpressme-lang.pot	(revision 450)
@@ -8,5 +8,5 @@
 "Project-Id-Version: XPressME Plugin\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2009-10-06 21:59+0900\n"
+"POT-Creation-Date: 2009-11-20 12:51+0900\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -17,438 +17,474 @@
 "Plural-Forms: nplurals=1; plural=0;\n"
 
-#: xpressme.php:33
+#: xpressme.php:59
 msgid "Display Settings"
 msgstr ""
 
-#: xpressme.php:34
+#: xpressme.php:60
 msgid "Integration Settings"
 msgstr ""
 
-#: xpressme.php:35
+#: xpressme.php:61
 msgid "Other Settings"
 msgstr ""
 
-#: xpressme.php:37
+#: xpressme.php:63
 msgid "Upgrade"
 msgstr ""
 
-#: xpressme.php:38
+#: xpressme.php:64
 msgid "to Modules Admin"
 msgstr ""
 
-#: xpressme.php:138
+#: xpressme.php:164
 msgid "XPressME Display Setting"
 msgstr ""
 
-#: xpressme.php:144
+#: xpressme.php:170
 msgid "Thema Sidebar Display"
 msgstr ""
 
-#: xpressme.php:145
-#: xpressme.php:235
-#: xpressme.php:241
-#: xpressme.php:246
-#: xpressme.php:252
-#: xpressme_class.php:283
-#: xpressme_class.php:299
-#: xpressme_class.php:431
+#: xpressme.php:171
+#: xpressme.php:263
+#: xpressme.php:269
+#: xpressme.php:274
+#: xpressme.php:280
+#: xpressme_class.php:296
+#: xpressme_class.php:314
+#: xpressme_class.php:445
+#: xpressme_class.php:456
+msgid "YES"
+msgstr ""
+
+#: xpressme.php:172
+#: xpressme.php:264
+#: xpressme.php:270
+#: xpressme.php:275
+#: xpressme.php:281
+#: xpressme_class.php:297
+#: xpressme_class.php:315
+#: xpressme_class.php:446
+#: xpressme_class.php:457
+msgid "NO"
+msgstr ""
+
+#: xpressme.php:181
+#: xpressme.php:232
+#: xpressme.php:291
+msgid "Update Config"
+msgstr ""
+
+#: xpressme.php:182
+#: xpressme.php:233
+#: xpressme.php:292
+msgid "Preset Config"
+msgstr ""
+
+#: xpressme.php:214
+msgid "XPressME Integration Setting"
+msgstr ""
+
+#: xpressme.php:218
+msgid "Media Upload Base Path"
+msgstr ""
+
+#: xpressme.php:222
+msgid "Use XOOPS UPLOAD PATH"
+msgstr ""
+
+#: xpressme.php:223
+msgid "USE WordPress BASE_PATH"
+msgstr ""
+
+#: xpressme.php:257
+msgid "XPressME Other Setting"
+msgstr ""
+
+#: xpressme.php:262
+msgid "The change tracking of the post is preserved"
+msgstr ""
+
+#: xpressme.php:268
+msgid "Select Multi user mode"
+msgstr ""
+
+#: xpressme.php:273
+msgid "Is the posts author views counted?"
+msgstr ""
+
+#: xpressme.php:279
+msgid "Is SQL debugging window displayed?"
+msgstr ""
+
+#: xpressme.php:284
+msgid "Select warning display of block file version check"
+msgstr ""
+
+#: xpressme.php:285
+msgid "Do display"
+msgstr ""
+
+#: xpressme.php:286
+msgid "Do not display"
+msgstr ""
+
+#: xpressme_class.php:61
+#: xpressme_class.php:243
+msgid "Older Post"
+msgstr ""
+
+#: xpressme_class.php:62
+#: xpressme_class.php:246
+msgid "Newer Post"
+msgstr ""
+
+#: xpressme_class.php:64
+#: xpressme_class.php:249
+msgid "Older Entries"
+msgstr ""
+
+#: xpressme_class.php:65
+#: xpressme_class.php:252
+msgid "Newer Entries"
+msgstr ""
+
+#: xpressme_class.php:79
+#: xpressme_class.php:80
+#: xpressme_class.php:255
+msgid "Read the rest of this entry &raquo;"
+msgstr ""
+
+#: xpressme_class.php:356
+msgid "Single Post Navi Setting"
+msgstr ""
+
+#: xpressme_class.php:361
+#: xpressme_class.php:406
+msgid "Adjustment of Navi link display position"
+msgstr ""
+
+#: xpressme_class.php:364
+msgid "'Old Post Link' is displayed in the left, and 'Newer Post Link' is displayed in the right"
+msgstr ""
+
+#: xpressme_class.php:365
+msgid "'Newer Post Link' is displayed in the left, and 'Old Post Link' is displayed in the right"
+msgstr ""
+
+#: xpressme_class.php:371
+msgid "Select Display name of PostNavi Link"
+msgstr ""
+
+#: xpressme_class.php:374
+msgid "Title of post"
+msgstr ""
+
+#: xpressme_class.php:375
+msgid "Title of Navi"
+msgstr ""
+
+#: xpressme_class.php:381
+msgid "Display Navi Title of Old Post Link"
+msgstr ""
+
+#: xpressme_class.php:388
+msgid "Display Navi Title of Newer Post Link"
+msgstr ""
+
+#: xpressme_class.php:401
+msgid "Posts List Page Navi Setting"
+msgstr ""
+
+#: xpressme_class.php:409
+msgid "'Old Page Link' is displayed in the left, and 'Newer Page Link' is displayed in the right"
+msgstr ""
+
+#: xpressme_class.php:410
+msgid "'Newer Page Link' is displayed in the left, and 'Old Page Link' is displayed in the right"
+msgstr ""
+
+#: xpressme_class.php:416
+msgid "Display Navi Title of Old Page Link"
+msgstr ""
+
+#: xpressme_class.php:423
+msgid "Display Navi Title of Newer Page Link"
+msgstr ""
+
+#: xpressme_class.php:436
+msgid "Dashboard feed Display Setting"
+msgstr ""
+
 #: xpressme_class.php:442
-msgid "YES"
-msgstr ""
-
-#: xpressme.php:146
-#: xpressme.php:236
-#: xpressme.php:242
-#: xpressme.php:247
-#: xpressme.php:253
-#: xpressme_class.php:284
-#: xpressme_class.php:300
-#: xpressme_class.php:432
-#: xpressme_class.php:443
-msgid "NO"
-msgstr ""
-
-#: xpressme.php:155
-#: xpressme.php:204
-#: xpressme.php:258
-msgid "Update Config"
-msgstr ""
-
-#: xpressme.php:156
-#: xpressme.php:205
-#: xpressme.php:259
-msgid "Preset Config"
-msgstr ""
-
-#: xpressme.php:188
-msgid "XPressME Integration Setting"
-msgstr ""
-
-#: xpressme.php:193
-msgid "Media Upload Base Path"
-msgstr ""
-
-#: xpressme.php:194
-msgid "Use XOOPS UPLOAD PATH"
-msgstr ""
-
-#: xpressme.php:195
-msgid "USE WordPress BASE_PATH"
-msgstr ""
-
-#: xpressme.php:229
-msgid "XPressME Other Setting"
-msgstr ""
-
-#: xpressme.php:234
-msgid "The change tracking of the post is preserved"
-msgstr ""
-
-#: xpressme.php:240
-msgid "Select Multi user mode"
-msgstr ""
-
-#: xpressme.php:245
-msgid "Is the posts author views counted?"
-msgstr ""
-
-#: xpressme.php:251
-msgid "Is SQL debugging window displayed?"
-msgstr ""
-
-#: xpressme.php:275
-msgid "XPressME Upgrade"
-msgstr ""
-
-#: xpressme.php:289
-#, php-format
-msgid "You are using a XPressME Integration Kit development version (%1$s). Cool! Please <a href=\"%2$s\">stay updated</a>."
-msgstr ""
-
-#: xpressme.php:293
-msgid "There is a new version of XPressME Integration Kit available for upgrade"
-msgstr ""
-
-#: xpressme.php:296
-#, php-format
-msgid "You can upgrade to version %s download the package and install it manually:"
-msgstr ""
-
-#: xpressme.php:299
-#, php-format
-msgid "Download %s"
-msgstr ""
-
-#: xpressme.php:302
-msgid "You have the latest version of XPressME Integration Kit. You do not need to upgrade"
-msgstr ""
-
-#: xpressme.php:306
-#, php-format
-msgid "There is no response from <a href=\"%s\">version check API</a> now. sorry, please confirm it after."
-msgstr ""
-
-#: xpressme.php:425
-#, php-format
-msgid "XPressME Integration Kit Version %1$s is available! <a href=\"%2$s\">Please update now</a>."
-msgstr ""
-
-#: xpressme.php:427
-#, php-format
-msgid "XPressME Integration Kit Version %1$s is available! Please notify the site administrator."
-msgstr ""
-
-#: xpressme_class.php:55
-#: xpressme_class.php:232
-msgid "Older Post"
-msgstr ""
-
-#: xpressme_class.php:56
-#: xpressme_class.php:235
-msgid "Newer Post"
-msgstr ""
-
-#: xpressme_class.php:58
-#: xpressme_class.php:238
-msgid "Older Entries"
-msgstr ""
-
-#: xpressme_class.php:59
-#: xpressme_class.php:241
-msgid "Newer Entries"
-msgstr ""
-
-#: xpressme_class.php:73
-#: xpressme_class.php:74
-#: xpressme_class.php:244
-msgid "Read the rest of this entry &raquo;"
-msgstr ""
-
-#: xpressme_class.php:342
-msgid "Single Post Navi Setting"
-msgstr ""
-
-#: xpressme_class.php:347
-#: xpressme_class.php:392
-msgid "Adjustment of Navi link display position"
-msgstr ""
-
-#: xpressme_class.php:350
-msgid "'Old Post Link' is displayed in the left, and 'Newer Post Link' is displayed in the right"
-msgstr ""
-
-#: xpressme_class.php:351
-msgid "'Newer Post Link' is displayed in the left, and 'Old Post Link' is displayed in the right"
-msgstr ""
-
-#: xpressme_class.php:357
-msgid "Select Display name of PostNavi Link"
-msgstr ""
-
-#: xpressme_class.php:360
-msgid "Title of post"
-msgstr ""
-
-#: xpressme_class.php:361
-msgid "Title of Navi"
-msgstr ""
-
-#: xpressme_class.php:367
-msgid "Display Navi Title of Old Post Link"
-msgstr ""
-
-#: xpressme_class.php:374
-msgid "Display Navi Title of Newer Post Link"
-msgstr ""
-
-#: xpressme_class.php:387
-msgid "Posts List Page Navi Setting"
-msgstr ""
-
-#: xpressme_class.php:395
-msgid "'Old Page Link' is displayed in the left, and 'Newer Page Link' is displayed in the right"
-msgstr ""
-
-#: xpressme_class.php:396
-msgid "'Newer Page Link' is displayed in the left, and 'Old Page Link' is displayed in the right"
-msgstr ""
-
-#: xpressme_class.php:402
-msgid "Display Navi Title of Old Page Link"
-msgstr ""
-
-#: xpressme_class.php:409
-msgid "Display Navi Title of Newer Page Link"
-msgstr ""
-
-#: xpressme_class.php:422
-msgid "Dashboard feed Display Setting"
-msgstr ""
-
-#: xpressme_class.php:428
 msgid "Display XPressMe Integration Kit Blog"
 msgstr ""
 
-#: xpressme_class.php:439
+#: xpressme_class.php:453
 msgid "Display XPressMe Integration Kit Forum"
 msgstr ""
 
-#: xpressme_class.php:456
+#: xpressme_class.php:471
 msgid "Role Setting at Login"
 msgstr ""
 
-#: xpressme_class.php:459
+#: xpressme_class.php:474
 msgid "XOOPS Groupe"
 msgstr ""
 
-#: xpressme_class.php:459
+#: xpressme_class.php:474
 msgid "WordPress Role"
 msgstr ""
 
-#: xpressme_class.php:459
+#: xpressme_class.php:474
 msgid "Role is set at each login"
 msgstr ""
 
-#: xpressme_class.php:485
-#: xpressme_class.php:489
-#: xpressme_class.php:492
+#: xpressme_class.php:500
+#: xpressme_class.php:504
+#: xpressme_class.php:507
 msgid "Default Role of WordPress"
 msgstr ""
 
-#: xpressme_class.php:486
-#: xpressme_class.php:490
-#: xpressme_class.php:493
+#: xpressme_class.php:501
+#: xpressme_class.php:505
+#: xpressme_class.php:508
 msgid "Group User Doesn't Register"
 msgstr ""
 
-#: xpressme_class.php:524
+#: xpressme_class.php:521
+msgid "Only the Admin can set Group Role Setting"
+msgstr ""
+
+#: xpressme_class.php:541
 msgid "WordPress MU cannot integrate the comments."
 msgstr ""
 
-#: xpressme_class.php:526
+#: xpressme_class.php:543
 msgid "Do Not Comment Integration."
 msgstr ""
 
-#: xpressme_class.php:561
+#: xpressme_class.php:578
 msgid "Comment integration with D3Forum"
 msgstr ""
 
-#: xpressme_class.php:563
+#: xpressme_class.php:580
 msgid "Select the forum of D3Forum that does the comment integration from the following lists."
 msgstr ""
 
-#: xpressme_class.php:568
+#: xpressme_class.php:585
 msgid "Select the Type of display of D3Forum comment."
 msgstr ""
 
-#: xpressme_class.php:570
-#: xpressme_class.php:573
+#: xpressme_class.php:587
+#: xpressme_class.php:590
 msgid "Flat"
 msgstr ""
 
-#: xpressme_class.php:571
-#: xpressme_class.php:574
+#: xpressme_class.php:588
+#: xpressme_class.php:591
 msgid "Threaded"
 msgstr ""
 
-#: xpressme_class.php:577
+#: xpressme_class.php:594
 msgid "Select the order of display of D3Forum comment."
 msgstr ""
 
-#: xpressme_class.php:579
-#: xpressme_class.php:582
+#: xpressme_class.php:596
+#: xpressme_class.php:599
 msgid "DESC"
 msgstr ""
 
-#: xpressme_class.php:580
-#: xpressme_class.php:583
+#: xpressme_class.php:597
+#: xpressme_class.php:600
 msgid "ASC"
 msgstr ""
 
-#: xpressme_class.php:586
+#: xpressme_class.php:603
 msgid "Number of displays of D3Forum comments."
 msgstr ""
 
-#: xpressme_class.php:589
+#: xpressme_class.php:606
 msgid "The import and the export between Wordpress Comments and the D3Forum Posts can be done. "
 msgstr ""
 
-#: xpressme_class.php:590
+#: xpressme_class.php:607
 msgid "Export to D3Forum"
 msgstr ""
 
-#: xpressme_class.php:591
+#: xpressme_class.php:608
 msgid "Import from D3Forum"
 msgstr ""
 
-#: xpressme_class.php:604
+#: xpressme_class.php:621
 msgid "Contents Excerpt Setting"
 msgstr ""
 
-#: xpressme_class.php:609
+#: xpressme_class.php:626
 msgid "Is the excerpt display done with the archive of contents?"
 msgstr ""
 
-#: xpressme_class.php:616
+#: xpressme_class.php:633
 msgid "When ASCII character more than the set ratio is included, it is judged ASCII contents. "
 msgstr ""
 
-#: xpressme_class.php:623
+#: xpressme_class.php:640
 msgid "Excerpt length of word for ASCII contents"
 msgstr ""
 
-#: xpressme_class.php:630
+#: xpressme_class.php:647
 msgid "Excerpt length of character for multibyte contents"
 msgstr ""
 
-#: xpressme_class.php:637
+#: xpressme_class.php:654
 msgid "This text is displayed in the link that reads contents not excerpted.(Is not displayed for the blank.)"
 msgstr ""
 
-#: xpressme_class.php:644
+#: xpressme_class.php:661
 msgid "This text is displayed in the link that more tag (&lt;!--more--&gt;). "
 msgstr ""
 
-#: xpressme_class.php:656
+#: xpressme_class.php:673
 msgid "Display Mode Setting"
 msgstr ""
 
-#: xpressme_class.php:659
+#: xpressme_class.php:676
 msgid "Select the XPressME Display Mode."
 msgstr ""
 
-#: xpressme_class.php:664
+#: xpressme_class.php:681
 msgid "Xoops Mode"
 msgstr ""
 
-#: xpressme_class.php:668
+#: xpressme_class.php:685
 msgid "WordPress Mode"
 msgstr ""
 
-#: xpressme_class.php:672
+#: xpressme_class.php:689
 msgid "User select"
 msgstr ""
 
-#: xpressme_class.php:677
+#: xpressme_class.php:694
 msgid "Select the theme used in the XOOPS Mode."
 msgstr ""
 
-#: xpressme_class.php:682
+#: xpressme_class.php:699
 msgid "Use WordPress Selected Themes"
 msgstr ""
 
-#: xpressme_class.php:700
+#: xpressme_class.php:717
 msgid "Header Meta Option"
 msgstr ""
 
-#: xpressme_class.php:705
+#: xpressme_class.php:722
 msgid "Select the Header keyword."
 msgstr ""
 
-#: xpressme_class.php:710
+#: xpressme_class.php:727
 msgid "Xoops KeyWord"
 msgstr ""
 
-#: xpressme_class.php:713
+#: xpressme_class.php:730
 msgid "WordPress KeyWord"
 msgstr ""
 
-#: xpressme_class.php:716
+#: xpressme_class.php:733
 msgid "WordPress & Xoops KeyWord"
 msgstr ""
 
-#: xpressme_class.php:722
+#: xpressme_class.php:739
 msgid "Select the Header Description."
 msgstr ""
 
-#: xpressme_class.php:727
+#: xpressme_class.php:744
 msgid "Xoops Description"
 msgstr ""
 
-#: xpressme_class.php:730
+#: xpressme_class.php:747
 msgid "WordPress Description"
 msgstr ""
 
-#: xpressme_class.php:733
+#: xpressme_class.php:750
 msgid "WordPress & Xoops Description"
 msgstr ""
 
-#: xpressme_class.php:739
+#: xpressme_class.php:756
 msgid "Select the Header Robots Index."
 msgstr ""
 
-#: xpressme_class.php:744
+#: xpressme_class.php:761
 msgid "Xoops Robots Index"
 msgstr ""
 
-#: xpressme_class.php:747
+#: xpressme_class.php:764
 msgid "WordPress Robots Index"
 msgstr ""
 
-#: xpressme_class.php:776
+#: xpressme_class.php:793
 #, php-format
 msgid "Unable to create directory %s. Is its parent directory writable by the server?"
 msgstr ""
 
+#: xpressme_widget_class.php:17
+msgid "XPressME User Menu Widget"
+msgstr ""
+
+#: xpressme_widget_class.php:19
+msgid "XPressME MENU"
+msgstr ""
+
+#: xpressme_widget_class.php:143
+#: xpressme_widget_class.php:195
+#: xpressme_widget_class.php:200
+#: xpressme_widget_class.php:205
+msgid "Link"
+msgstr ""
+
+#: xpressme_widget_class.php:144
+#: xpressme_widget_class.php:160
+msgid "Site Home"
+msgstr ""
+
+#: xpressme_widget_class.php:145
+#: xpressme_widget_class.php:165
+msgid "Add New"
+msgstr ""
+
+#: xpressme_widget_class.php:146
+#: xpressme_widget_class.php:170
+msgid "User Profile"
+msgstr ""
+
+#: xpressme_widget_class.php:147
+#: xpressme_widget_class.php:176
+msgid "WordPress Admin"
+msgstr ""
+
+#: xpressme_widget_class.php:148
+#: xpressme_widget_class.php:181
+msgid "Module Admin"
+msgstr ""
+
+#: xpressme_widget_class.php:149
+#: xpressme_widget_class.php:186
+msgid "XPressME Setting"
+msgstr ""
+
+#: xpressme_widget_class.php:150
+msgid "Display Mode Select"
+msgstr ""
+
+#: xpressme_widget_class.php:152
+#: xpressme_widget_class.php:171
+msgid "Auto Setting"
+msgstr ""
+
+#: xpressme_widget_class.php:157
+msgid "User Menu"
+msgstr ""
+
+#: xpressme_widget_class.php:245
+msgid "Title:"
+msgstr ""
+
 #: include/custom_functions.php:74
 #, php-format
@@ -457,80 +493,80 @@
 
 #: include/custom_functions.php:429
-#: include/custom_functions.php:454
+#: include/custom_functions.php:459
 #, php-format
 msgid "views :%d"
 msgstr ""
 
-#: include/custom_functions.php:608
+#: include/custom_functions.php:623
 msgid "Main"
 msgstr ""
 
-#: include/custom_functions.php:611
+#: include/custom_functions.php:626
 #, php-format
 msgid "Archive for the &#8216;%s&#8217; Category"
 msgstr ""
 
-#: include/custom_functions.php:614
+#: include/custom_functions.php:629
 #, php-format
 msgid "Posts Tagged &#8216;%s&#8217;"
 msgstr ""
 
-#: include/custom_functions.php:617
+#: include/custom_functions.php:632
 #, php-format
 msgid "Archive for %s|Daily archive page"
 msgstr ""
 
-#: include/custom_functions.php:617
+#: include/custom_functions.php:632
 msgid "F jS, Y"
 msgstr ""
 
-#: include/custom_functions.php:619
+#: include/custom_functions.php:634
 #, php-format
 msgid "Archive for %s|Monthly archive page"
 msgstr ""
 
-#: include/custom_functions.php:619
+#: include/custom_functions.php:634
 msgid "F, Y"
 msgstr ""
 
-#: include/custom_functions.php:621
+#: include/custom_functions.php:636
 #, php-format
 msgid "Archive for %s|Yearly archive page"
 msgstr ""
 
-#: include/custom_functions.php:621
+#: include/custom_functions.php:636
 msgid "Y"
 msgstr ""
 
-#: include/custom_functions.php:624
+#: include/custom_functions.php:639
 #, php-format
 msgid "Archive for the &#8216;%s&#8217; Author"
 msgstr ""
 
-#: include/custom_functions.php:627
+#: include/custom_functions.php:642
 #, php-format
 msgid "Search Results of word &#8216;%s&#8217;"
 msgstr ""
 
-#: include/custom_functions.php:633
-#: include/custom_functions.php:635
+#: include/custom_functions.php:648
+#: include/custom_functions.php:650
 #, php-format
 msgid "Article of %s"
 msgstr ""
 
-#: include/custom_functions.php:657
+#: include/custom_functions.php:672
 #, php-format
 msgid "From %1$s on site %2$s"
 msgstr ""
 
-#: include/custom_functions.php:678
+#: include/custom_functions.php:693
 msgid "No Trackback/Pingback"
 msgstr ""
 
-#: include/custom_functions.php:679
+#: include/custom_functions.php:694
 msgid "One Trackback/Pingback"
 msgstr ""
 
-#: include/custom_functions.php:680
+#: include/custom_functions.php:695
 msgid "% TrackBack/Pingback"
 msgstr ""
@@ -578,4 +614,71 @@
 msgstr ""
 
+#: include/xpress_common_functions.php:390
+#, php-format
+msgid "Block file %1$s is an old version %2$s.<br />used block file %3$s of new version %4$s."
+msgstr ""
+
+#: include/xpress_upgrade.php:13
+msgid "XPressME Upgrade"
+msgstr ""
+
+#: include/xpress_upgrade.php:28
+#, php-format
+msgid "You are using a XPressME Integration Kit development version (%1$s). Cool! Please <a href=\"%2$s\">stay updated</a>."
+msgstr ""
+
+#: include/xpress_upgrade.php:32
+msgid "There is a new version of XPressME Integration Kit available for upgrade"
+msgstr ""
+
+#: include/xpress_upgrade.php:35
+#, php-format
+msgid "You can upgrade to version %s download the package and install it manually:"
+msgstr ""
+
+#: include/xpress_upgrade.php:38
+#: include/xpress_upgrade.php:61
+#, php-format
+msgid "Download %s"
+msgstr ""
+
+#: include/xpress_upgrade.php:43
+#, php-format
+msgid "You can download the differential file from version %s to %s and upgrade it manually:"
+msgstr ""
+
+#: include/xpress_upgrade.php:46
+#, php-format
+msgid "Download differential file for %s"
+msgstr ""
+
+#: include/xpress_upgrade.php:50
+msgid "You have the latest version of XPressME Integration Kit. You do not need to upgrade"
+msgstr ""
+
+#: include/xpress_upgrade.php:58
+#, php-format
+msgid "You can use the development version %s download the package and install it manually:"
+msgstr ""
+
+#: include/xpress_upgrade.php:67
+#, php-format
+msgid "There is no response from <a href=\"%s\">version check API</a> now. sorry, please confirm it after."
+msgstr ""
+
+#: include/xpress_upgrade.php:212
+#, php-format
+msgid "XPressME Integration Kit Version %1$s is available! <a href=\"%2$s\">Please update now</a>."
+msgstr ""
+
+#: include/xpress_upgrade.php:214
+#, php-format
+msgid "XPressME Integration Kit Version %1$s is available! Please notify the site administrator."
+msgstr ""
+
+#~ msgid "Title"
+#~ msgstr ""
+#~ msgid "URL"
+#~ msgstr ""
 #~ msgid "more"
 #~ msgstr ""